Index index by Group index by Distribution index by Vendor index by creation date index by Name Mirrors Help Search

conky-doc-1.11.5-1.20 RPM for aarch64

From OpenSuSE Leap 15.3 for aarch64

Name: conky-doc Distribution: SUSE Linux Enterprise 15
Version: 1.11.5 Vendor: SUSE LLC <https://www.suse.com/>
Release: 1.20 Build date: Wed Jun 10 00:29:46 2020
Group: Documentation/HTML Build host: ibs-arm-1
Size: 381213 Source RPM: conky-1.11.5-1.20.src.rpm
Packager: https://www.suse.com/
Url: https://github.com/brndnmtthws/conky
Summary: Documentation for conky
Conky is an configurable system monitor for X.

This package provides additional documentation about conky.

Provides

Requires

License

GPL-3.0-or-later AND LGPL-3.0-or-later AND MIT

Changelog

* Tue Apr 14 2020 sflees@suse.com
  - Don't require nano with the nano completions, conky shouldn't
    pull in nano just for completions.
* Fri Apr 03 2020 simonf.lees@suse.com
  - Fix negative ram reporting #877 #878 #909 fix-negative-memory.patch
* Tue Feb 25 2020 sflees@suse.de
  - IRC support was not correctly disabled on SLE
  - Re add imlib2, librsvg + cairo support on SLE (we still ship it and I'd like to
    use it in configs) it also means we don't need a second Leap package.
  - Run spec-cleaner
* Mon Dec 09 2019 christophe@krop.fr
  - Remove the xmms2 dependency on openSUSE Factory.
* Tue Aug 20 2019 mvetter@suse.com
  - Update to 1.11.5:
    * Fix graph leak and the uninitialized values (#858)
    * Fix `link_qual_max` getting updated with bad value
    * Fix heap use-after-free with setlocale
    * Refactorings and cleanups
    * For details see:
      https://github.com/brndnmtthws/conky/compare/v1.11.4...v1.11.5
  - Remove conky-memory-leak-fix.patch: upstreamed
* Fri Jun 28 2019 dead_mozay@opensuse.org
  - Add conky-memory-leak-fix.patch Fixes a memory leak in Conky
* Mon Jun 24 2019 mvetter@suse.com
  - Update to 1.11.4:
    * Added option to disable redraw on desktop change
    * Synchronize access to kstat
    * Fix various issues
    * For details see:
      https://github.com/brndnmtthws/conky/compare/v1.11.3...v1.11.4
* Tue May 28 2019 sflees@suse.de
  - Clean up cmake macro's and paramaters further
  - Drop unneeded conky-1.10.4-ncurses.patch
* Tue May 28 2019 jengelh@inai.de
  - Use %cmake macro to resolve FIXMEs.
  - Trim bias from descriptions.
* Mon May 27 2019 mvetter@suse.com
  - Update to 1.11.3:
    * Allow hwmon command to accept hwmon device name
    * For details see:
      https://github.com/brndnmtthws/conky/compare/v1.11.2...v1.11.3
  - Update conky.timestamp.patch and conky-1.10.1-avoid-git.patch
  - Remove libical3.patch: upstreamed
  - Use lua 5.3
  - Install desktop file
* Mon Mar 05 2018 adam.majer@suse.de
  - New upstream version 1.10.8
    + fixed segfault when HOME is unset
    + Fix segfault when kernel reports non-sequential SMP CPU indices
    + Provide support to query active port on PulseAudio's default sink
    + enable persistent view of irc messages
    + Fix SEGV in a CPU hotplug environment
    + GPLv3 is the default license
    + Support multiple include paths for libbircclient
  - conky-1.10.4-ncurses.patch: comment out - doesn't seem to be needed
  - conky-1.10.0-libircclient.patch: removed, upstreamed.
  - conky.luamm.patch: removed, upstreamed.
  - libical3.patch: adds support for libical 3.x
* Sat Mar 03 2018 jengelh@inai.de
  - Explicitly request old libical
* Tue Dec 12 2017 pgajdos@suse.com
  - fix build for SLE 15: buildrequire also Xdamage
  - make more clear when xmms2 support is compiled in
  - use pkgconfig()-style buildrequires for X libraries, package
    is build for suse_version >= 1315, so they are defined
  - fix 0%{is_opensuse} to 0%{?is_opensuse} on one placeand remove
    is_opensuse definition, which is in my opinion useless afterwards
* Sun Dec 10 2017 i@marguerite.su
  - use modular Xorg libaries if possible
  - make suse is_opensuse is defined
* Wed Nov 29 2017 pgajdos@suse.com
  - build with SLE 15
* Wed Nov 15 2017 pgajdos@suse.com
  - change default system configuration
  - add /usr/bin/conkyconf
  - add README.SUSE
  - require fontawesome-fonts for icons
  - fate: #323638
* Thu Jul 27 2017 joerg.lorenzen@ki.tng.de
  - BuildRequires libtolua++-5_1-devel on Leap.
* Tue Jun 20 2017 olaf@aepfle.de
  - Fix build with conky.luamm.patch
* Tue Mar 21 2017 olaf@aepfle.de
  - Remove more timestamps from binaries
* Thu Mar 02 2017 olaf@aepfle.de
  - Add buildconditional for audacious, cmus, libXNVCtrl, xmms2
  - Remove unused BuildRequires, convert to pkgconfig()
* Wed Jan 04 2017 olaf@aepfle.de
  - Remove timestamp from binaries
  - add conky.timestamp.patch
* Sat Dec 17 2016 i@marguerite.su
  - update version 1.10.6
    * try more than one sysctl to get CPU temperature
    * cached versions of get_nvidia_value and get_nvidia_string_value
  - changes in 1.10.5
    * check st_ctime to work with mutt MUA
    * update uri to get NOAA METAR data
* Sat Sep 24 2016 aloisio@gmx.com
  - Update to version 1.10.4
  - Enabled pulseaudio
  - Added conky-1.10.4-ncurses.patch
* Mon May 23 2016 ronisbr@gmail.com
  - Update version 1.10.2.
    * Bugfix release.
  - Drop patches already applied by upstream:
    * conky-libdir.patch
    * conky-1.10.1-check_include_file.patch
* Thu Jan 07 2016 i@marguerite.su
  - update version 1.10.1
    * bugfix release
    * If BUILD_IPV6=ON (default), but the user has disabled ipv6
      support in the kernel using the parameter ipv6.disable=1,
      then conky fails to open /proc/net/if_inet6. This leads to
      a segfault when conky calls fclose(file) regardless. This
      fix simply moves the fclose call into the preceding if
      statement. (boo#958897)
  - drop patch: conky-1.10.0-libdir.patch
  - add patch: conky-libdir.patch
  - add patch: conky-1.10.1-avoid-git.patch
  - add patch: conky-1.10.1-check_include_file.patch
    * fix check_include_file not found
  - enable builds for sles 12
* Thu Jan 07 2016 normand@linux.vnet.ibm.com
  - for suse_version after 1320
    add BuildRequires:	libtolua++-5_1-devel
* Fri Dec 18 2015 simon@simotek.net
  - Add conky-1.10.0-fix-upstream-issue-187-IPV6-crash.patch fixing
    upstream issue #187 and (boo#958897) patch taken from upstream
    https://github.com/brndnmtthws/conky/commit/ee08a9e1b045e8d2f4f13a0e60c2f603b66b0d69?diff=unified
* Sat Nov 21 2015 olaf@aepfle.de
  - Its always /usr/bin/lua5.1
* Thu Oct 29 2015 dimstar@opensuse.org
  - Also use /usr/bin/lua5.1 on Leap 42.1 (boo#952599).
* Sat Oct 03 2015 i@marguerite.su
  - fix /usr/bin/lua51, it's now /usr/bin/lua5.1 in TW.
* Sat Aug 29 2015 i@marguerite.su
  - update version 1.10.0
    * Partial rewrite in C++ (from C)
    * New Lua-based config system
    * New CMake-based build system
    * Support for newer GCC versions
  - drop patch: conky-1.9.0-libiw_with_libm.patch
    * upstream changed from autotools to cmake
  - drop patch: fix-CVE-2011-3616.patch, upstreamed
  - drop patch: fix-apcupsd.patch.
    * problematic, invalid conversion from void* to int*
  - add patch: conky-1.10.0-libircclient.patch
    * fix includedir
  - add patch: conky-1.10.0-libdir.patch
    * respect LIB_INSTALL_DIR
  - remove old-time conditional checks:
    * lua/imlib2 are always enabled
  - drop conky-cairo/imlib2 sub-packages
    * they're always enabled, no need to split
    * add Provides/Obsoletes in main package
  - rename conky-vim/nano sub-packages to vim/nano-plugin-conky
  - remove pseudo sub-packages:
    * there are more "features" now, we can not create more and more
      dummy packages
    * keeping packages from being switched among repositories should
      be done by users via package management system, not this way
    * add Provides/Obsoletes in main package
  - drop conky-rpmlintrc
    * the error it filtered doesn't exist anymore
  - drop conky.desktop
    * conky is not a desktop application. a desktop file is useless
* Tue May 26 2015 dgutu@suse.com
  - Removed conky-libiw_with_libm.patch because it's not used anywhere
* Fri Jan 16 2015 aloisio@gmx.com
  - Merged back changes for the packman section

Files

/usr/share/doc/packages/conky-doc
/usr/share/doc/packages/conky-doc/config_settings.html
/usr/share/doc/packages/conky-doc/docs.html
/usr/share/doc/packages/conky-doc/lua.html
/usr/share/doc/packages/conky-doc/variables.html


Generated by rpm2html 1.8.1

Fabrice Bellet, Tue Nov 9 18:27:03 2021